# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
# GPL 2013
from django.conf.urls import patterns, include, url
from django.conf import settings

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

def p(url):
    if settings.PREFIX:
    	url = r'^%s/%s' % (settings.PREFIX[1:], url)
    else:
        url = r'^' + url
    return url

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'videopdf.views.home', name='home'),
    # url(r'^videopdf/', include('videopdf.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    url(p('admin/doc/'), include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(p('admin/'), include(admin.site.urls)),
)
if settings.DEBUG:
    urlpatterns += patterns('',
        (p('data/(?P<path>.*)$'), 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
        (p('static/(?P<path>.*)$'), 'django.views.static.serve',
            {'document_root': settings.STATIC_ROOT}),
    )

urlpatterns += patterns('app.views',
    (p('login$'), 'login'),
    (p('logout$'), 'logout'),
    (p('register$'), 'register'),
)

urlpatterns += patterns('item.views',
    (p('$'), 'index'),
    (p('add$'), 'add'),
    (p('save$'), 'save'),
    (p('([A-Z0-9].*)/$'), 'item'),
    (p('([A-Z0-9].*)/chunk$'), 'chunk'),
    (p('([A-Z0-9].*)/(.+.pdf)$'), 'pdf'),
    (p('([A-Z0-9].*)$'), 'item'),
)

